For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Brands
        • Categories
        • Category Trees
        • Products
            • GETList Products
            • PUTUpdate Products (batch)
            • POSTCreate Product
            • DELDelete Products
            • GETGet Product
            • PUTUpdate Product
            • DELDelete Product
              • GETList Bulk Pricing Rules
              • POSTCreate Bulk Pricing Rule
              • GETGet Bulk Pricing Rule
              • PUTUpdate Bulk Pricing Rule
              • DELDelete Bulk Pricing Rule
        • Product Modifiers
        • Product Variants
        • Product Variant Options
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminCatalogProductsBulk Pricing Rules

Create Bulk Pricing Rule

POST
https://api.bigcommerce.com/stores/:store_hash/v3/catalog/products/:product_id/bulk-pricing-rules
POST
/stores/:store_hash/v3/catalog/products/:product_id/bulk-pricing-rules
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/1/bulk-pricing-rules \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "quantity_min": 5,
> "quantity_max": 20,
> "type": "percent",
> "amount": 0
>}'
200Create a bulk pricing rule
1{
2 "data": {
3 "id": 102,
4 "quantity_min": 5,
5 "quantity_max": 20,
6 "type": "percent",
7 "amount": 0
8 },
9 "meta": {}
10}

Creates a Bulk Pricing Rule.

Was this page helpful?
Previous

List Bulk Pricing Rules

Next

Get Bulk Pricing Rule

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

product_idintegerRequired

The ID of the Product to which the resource belongs.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

This endpoint expects an object.
quantity_minintegerRequired>=0

The minimum inclusive quantity of a product to satisfy this rule. Must be greater than or equal to zero. For fixed rules, the minimum quantity canʼt be less than two. Required in /POST.

quantity_maxintegerRequired>=0

The maximum inclusive quantity of a product to satisfy this rule. Must be greater than the quantity_min value – unless this field has a value of 0 (zero), in which case there will be no maximum bound for this rule. Required in /POST.

typeenumRequired

The type of adjustment that is made. Values: price - the adjustment amount per product; percent - the adjustment as a percentage of the original price; fixed - the adjusted absolute price of the product. Required in /POST.

Allowed values:
amountdouble or stringRequired

You can express the adjustment type as either a fixed dollar amount or a percentage. Send a number; the response will return a number for price and fixed adjustments. Divide the adjustment percentage by 100 and send the result in string format. For example, represent 10% as “.10”. The response will return a float value for both price and percentage adjustments. Required in /POST.

Response

dataobject
metaobject
Response metadata.

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.